player_actarray_data Struct Reference

Data: state (PLAYER_ACTARRAY_DATA_STATE) More...

`#include <player_interfaces.h>`

## Public Attributes

uint32_t | actuators_count
| The number of actuators in the array. More...
player_actarray_actuator_t * | actuators
| The actuator data. More...
uint8_t | motor_state
| power state

## Detailed Description

Data: state (PLAYER_ACTARRAY_DATA_STATE)

The actuator array data packet.

## Member Data Documentation

player_actarray_actuator_t* player_actarray_data::actuators

The actuator data.

uint32_t player_actarray_data::actuators_count

The number of actuators in the array.

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45